Name: sloccount
Version: 2.26
Release: %mkrel 18

Summary: Measures source lines of code (SLOC) in programs
License: GPL
Group: Development/Tools
URL: http://www.dwheeler.com/sloccount
Source: http://www.dwheeler.com/sloccount/%name-%version.tar.bz2
Patch0: sloccount-2.26-php.patch

BuildRequires:	flex

%description
SLOCCount (pronounced "sloc-count") is a suite of programs for counting
physical source lines of code (SLOC) in potentially large software systems
(thus, SLOCCount is a "software metrics tool" or "software measurement tool").
SLOCCount can count physical SLOC for a wide number of languages;
listed alphabetically, they are: Ada, Assembly, awk, Bourne shell, C, C++,
C shell, COBOL, Expect, Fortran, Java, lex/flex, LISP (including Scheme),
Modula-3, Objective-C, Pascal, Perl, PHP, Python, sed, TCL, and Yacc.
SLOCCount can automatically determine if a file
is a source code file or not, and if so, which language it's written in.
As a result, you can analyze large systems completely automatically;
it's been used to examine entire GNU/Linux distributions, for example.
SLOCCount also includes some report-generating tools
to collect the data generated and present it in several different formats.
Normally you can just run "sloccount DIRECTORY" and all the source code
in the directory and its descendants will be counted.

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
%make_build CC="gcc $CFLAGS $LDFLAGS -Wall"

%install
%__mkdir_p ${RPM_BUILD_ROOT}%{_bindir}
%__mkdir_p ${RPM_BUILD_ROOT}%{_mandir}/man1
%__make install_programs PREFIX=${RPM_BUILD_ROOT}%{_prefix}
%__make install_man PREFIX=${RPM_BUILD_ROOT}%{_prefix}

%files
%doc sloccount.html README ChangeLog COPYING TODO
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.26-18.mga8
+ Revision: 1517059
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 2.26-17.mga7
+ Revision: 1301066
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update macros

* Wed Sep 20 2017 cjw <cjw> 2.26-16.mga7
+ Revision: 1156465
- use mageia cflags and ldflags in build to fix debug packages

* Fri Feb 05 2016 umeabot <umeabot> 2.26-15.mga6
+ Revision: 938705
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.26-14.mga5
+ Revision: 740695
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.26-13.mga5
+ Revision: 689195
- Mageia 5 Mass Rebuild

* Fri Dec 06 2013 colin <colin> 2.26-12.mga4
+ Revision: 555680
- Fixes to deal better with php files.

* Fri Oct 18 2013 umeabot <umeabot> 2.26-11.mga4
+ Revision: 518424
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.26-10.mga3
+ Revision: 382184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 malo <malo> 2.26-9.mga3
+ Revision: 308986
- spec clean-up
- update RPM group

* Thu Mar 03 2011 jquelin <jquelin> 2.26-8.mga1
+ Revision: 62816
- mageia rebuild
- imported package sloccount


* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.26-8mdv2010.0
+ Revision: 433937
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.26-7mdv2009.0
+ Revision: 260809
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.26-6mdv2009.0
+ Revision: 252612
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.26-4mdv2008.1
+ Revision: 136503
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Oct 31 2006 Michael Scherer <misc@mandriva.org> 2.26-4mdv2007.0
+ Revision: 74682
- Bump release
- Import sloccount

